%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name: wildmidi
Version: 0.2.3.5
Release: %mkrel 4
Summary: WildMidi Open Source Midi Sequencer
Group: Sound/Midi
License: GPLv3+ and LGPLv3+
URL: http://wildmidi.sourceforge.net
Source: http://dfn.dl.sourceforge.net/sourceforge/wildmidi/%name-%version.tar.gz
Patch0: wildmidi-0.2.3.4-fix-default-config-location.patch
BuildRequires: timidity-instruments
BuildRequires: libalsa-devel
Requires: timidity-instruments

%description 
WildMidi is a software midi play which has a core softsynth library that can be use with other applications.

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.cfg.5*

#------------------------------------------------------------------------------------------------
%package -n %libname
Summary: Library for wildmidi
Group: System/Libraries

%description -n %libname
This package contains library files for wildmidi

%files -n %libname
%{_libdir}/*.so.%{major}*

#------------------------------------------------------------------------------------------------
%package -n %develname
Summary: Development files for wildmidi
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version

%description -n %develname
This package contains development files for wildmidi

%files -n %develname
%doc docs/*v3.txt
%{_libdir}/*.so
%{_includedir}/*.h
%{_mandir}/man3/*.3*

#------------------------------------------------------------------------------------------------
%prep
%setup -q -n %name-%version
%patch0 -p0 -b .defconfig

%build
%configure2_5x --disable-static \
		--without-arch \
		--disable-werror
# The wildmidi makefile system is not easily parallelisable so we need to
# omit the "-j".
make

%install
%makeinstall_std

# don't ship .la
find %buildroot -name *.la | xargs rm -f


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.2.3.5-4.mga3
+ Revision: 385698
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.2.3.5-3.mga3
+ Revision: 324384
- spec clean-up
- update RPM group

* Mon Jan 09 2012 shlomif <shlomif> 0.2.3.5-2.mga2
+ Revision: 194092
- New version - 0.2.3.5

* Sat Feb 05 2011 ahmad <ahmad> 0.2.3.4-2.mga1
+ Revision: 47418
- drop old/unneeded scriptlets
- re-enumerate the patch(es)
- don't ship .la
- use %%doc to install the docs

  + eandry <eandry>
    - imported package wildmidi

